import { useEffect, useRef } from 'react';

var useMountedRef = function useMountedRef() {
  var mountedRef = useRef(false);
  useEffect(function () {
    mountedRef.current = true;
    return function () {
      mountedRef.current = false;
    };
  });
  return mountedRef;
};

export default useMountedRef;