import { canUseDom } from './can-use-dom'; // eslint-disable-next-line import/no-mutable-exports

export var supportsPassive = false;

if (canUseDom) {
  try {
    var opts = {};
    Object.defineProperty(opts, 'passive', {
      get: function get() {
        supportsPassive = true;
      }
    });
    window.addEventListener('test-passive', null, opts); // eslint-disable-next-line no-empty
  } catch (e) {}
}