"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.devError = devError;
exports.devWarning = devWarning;

function devWarning(component, message) {
  if (process.env.NODE_ENV !== 'production') {
    console.warn("[".concat(component, "] ").concat(message));
  }
}

function devError(component, message) {
  if (process.env.NODE_ENV !== 'production') {
    console.error("[".concat(component, "] ").concat(message));
  }
}