import { createPortal } from 'react-dom';
import { resolveContainer } from './getContainer';
import canUseDom from './canUseDom';
export function renderToContainer(getContainer, node) {
  if (canUseDom && getContainer) {
    var container = resolveContainer(getContainer);
    return /*#__PURE__*/createPortal(node, container);
  }

  return node;
}