import { CSSProperties } from 'react';
export interface BaseTypeProps {
    style?: CSSProperties;
    className?: string;
}
/** 指定挂载的节点 */
export declare type TeleportType = HTMLElement | (() => HTMLElement) | null;
/** 带有displayName的组件 */
export declare type WithDisplayNameReactElement = React.ReactElement & {
    type: {
        displayName: string;
    };
};
