"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _react() {
  var data = require("react");

  _react = function _react() {
    return data;
  };

  return data;
}

var usePassiveHandler = function usePassiveHandler() {
  return (0, _react().useEffect)(function () {
    var cancelTouchmove = function cancelTouchmove(event) {
      return event.preventDefault();
    };

    document.body.addEventListener('touchmove', cancelTouchmove, {
      passive: false
    });
    return function () {
      document.body.removeEventListener('touchmove', cancelTouchmove);
    };
  }, []);
};

var _default = usePassiveHandler;
exports.default = _default;