"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectWithoutProperties2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

  _objectWithoutProperties2 = function _objectWithoutProperties2() {
    return data;
  };

  return data;
}

function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };

  return data;
}

function _react() {
  var data = _interopRequireWildcard(require("react"));

  _react = function _react() {
    return data;
  };

  return data;
}

var _LazyloadImageEvent = _interopRequireDefault(require("./LazyloadImageEvent"));

var _LazyloadImageObserve = _interopRequireDefault(require("./LazyloadImageObserve"));

var _utils = require("./utils");

var _excluded = ["observer"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Lazyload = function Lazyload(props) {
  var _useState = (0, _react().useState)('observer'),
      _useState2 = (0, _slicedToArray2().default)(_useState, 2),
      mode = _useState2[0],
      setMode = _useState2[1];

  var observer = props.observer,
      resetProps = (0, _objectWithoutProperties2().default)(props, _excluded);
  (0, _react().useEffect)(function () {
    var toSetMode = function toSetMode(value) {
      if (!_utils.hasIntersectionObserver && value === _utils.modeType.observer) {
        value = _utils.modeType.event;
      }

      setMode(value);
    };

    toSetMode(observer ? _utils.modeType.observer : _utils.modeType.event);
  }, [observer]);
  return /*#__PURE__*/_react().default.createElement(_react().default.Fragment, null, mode === _utils.modeType.event ? /*#__PURE__*/_react().default.createElement(_LazyloadImageEvent.default, resetProps) : /*#__PURE__*/_react().default.createElement(_LazyloadImageObserve.default, resetProps));
};

Lazyload.defaultProps = {
  loading: null,
  observer: true,
  eventOptions: {
    scrollContainer: document.body,
    offset: 0,
    debounce: 300,
    throttle: 0,
    listenEvents: _utils.DEFAULT_EVENTS
  }
};
var _default = Lazyload;
exports.default = _default;