"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _slicedToArray2() {
  var data = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

  _slicedToArray2 = function _slicedToArray2() {
    return data;
  };

  return data;
}

function _react() {
  var data = require("react");

  _react = function _react() {
    return data;
  };

  return data;
}

var useIntersectionObserver = function useIntersectionObserver(observerOptions, handleIntersection) {
  var _useState = (0, _react().useState)(null),
      _useState2 = (0, _slicedToArray2().default)(_useState, 2),
      element = _useState2[0],
      setElement = _useState2[1];

  var handleElement = (0, _react().useCallback)(function (node) {
    setElement(node);
  }, []);
  (0, _react().useEffect)(function () {
    if (!element) return;
    var observer = new IntersectionObserver(handleIntersection, observerOptions);
    observer.observe(element); // eslint-disable-next-line consistent-return

    return function () {
      return observer && observer.disconnect && observer.disconnect();
    };
  }, [handleIntersection, observerOptions, element]);
  return handleElement;
};

var _default = useIntersectionObserver;
exports.default = _default;